# MySQL
# MySQL


## Installing MySQL on Ubuntu 18.04

>```sudo apt install mysql-server```

removes test data and other unneeded stuff
> ```sudo mysql_secure_installation```

Run Mysql
>```sudo mysql```

## Changing root user password
If you dont setup the authentication plugin you will need to change the authentication method for the root, just check roots auth method.
>```SELECT user,authentication_string,plugin,host FROM mysql.user;```

If you see thet auth_socket as roots authentication method you can change this by altering root user (change the 'password' to your own password). 
>```ALTER USER 'root'@'localhost' IDENTIFIED WITH mysql_native_password BY 'password';```


mysql -u root -p

sudo service mysql restart

# Sources
[How to install LAMP stack on Ubuntu (Digital Ocean)](https://www.digitalocean.com/community/tutorials/how-to-install-linux-apache-mysql-php-lamp-stack-ubuntu-18-04)





Fatal error: Uncaught Error: Call to undefined function idefine() in /var/www/html/wp-config.php:35

 Stack trace: #0 /var/www/html/wp-load.php(37): require_once() #1 /var/www/html/wp-blog-header.php(13): 
 
 require_once('/var/www/html/w...') #2 /var/www/html/index.php(18): require('/var/www/html/w...') #3 {main} thrown in /var/www/html/wp-config.php on line 35
